import const

def tilepos(x, y):
    return (int(y / const.TILE_SIZE), int(x / const.TILE_SIZE))

def pos(x, y):
    return (y * const.TILE_SIZE, x * const.TILE_SIZE)

def poscenter(x, y):
    return (y * const.TILE_SIZE + const.TILE_SIZE / 2,
            x * const.TILE_SIZE + const.TILE_SIZE / 2)

def next_tile(tilepos, dir):
    if dir == const.LEFT:
        if tilepos[1] - 1 < 0: return None
        return (tilepos[0], tilepos[1] - 1)
    if dir == const.RIGHT:
        if tilepos[1] + 1 >= const.TILES_X: return None
        return (tilepos[0], tilepos[1] + 1)
    if dir == const.UP:
        if tilepos[0] - 1 < 0: return None
        return (tilepos[0] - 1, tilepos[1])
    if dir == const.DOWN:
        if tilepos[0] + 1 >= const.TILES_Y: return None
        return (tilepos[0] + 1, tilepos[1])
    return None